sbit Ready_Pin   at RE8_bit;
sbit Chip_Select at LATC2_bit;
sbit Chip_Select_Dir at TRISC2_bit;
sbit Ready_Pin_Dir at TRISE8_bit;


// TFT module connections
char TFT_DataPort at LATE;
sbit TFT_RST at LATD7_bit;
sbit TFT_BLED at LATD2_bit;
sbit TFT_RS at LATD9_bit;
sbit TFT_CS at LATD10_bit;
sbit TFT_RD at LATD5_bit;
sbit TFT_WR at LATD4_bit;
char TFT_DataPort_Direction at TRISE;
sbit TFT_RST_Direction at TRISD7_bit;
sbit TFT_BLED_Direction at TRISD2_bit;
sbit TFT_RS_Direction at TRISD9_bit;
sbit TFT_CS_Direction at TRISD10_bit;
sbit TFT_RD_Direction at TRISD5_bit;
sbit TFT_WR_Direction at TRISD4_bit;
// End TFT module connections

char pfepetnica[] = {
0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0x1, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1f,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0xff,
0xff, 0xff, 0xf9, 0xff, 0xff, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0xff, 0xff,
0xff, 0xff, 0x3f, 0xff, 0xff, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xff, 0xff, 0xfc,
0xff, 0xe7, 0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0x1f,
0xf8, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3f, 0xff, 0xff, 0xf1, 0xff,
0x1f, 0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0x1f, 0xe7,
0xff, 0xff, 0xff, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x3, 0xff, 0xff, 0xff, 0xf1, 0xfc, 0xff,
0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0x1f, 0xff,
0xff, 0xff, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x3f, 0xff, 0xff, 0xff, 0xe3, 0xe3, 0xfe, 0x7f,
0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xfe, 0x3c, 0x7f, 0xf, 0xff,
0xff, 0xfc, 0x0, 0x0, 0x0, 0x3, 0xff, 0xff, 0xff, 0xff, 0xe3, 0x9f, 0x81, 0xff, 0xff,
0xff, 0x80, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x23, 0xc0, 0xff, 0xff, 0xff,
0xf8, 0x0, 0x0, 0x0, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xc4, 0x60, 0x7f, 0xff, 0xff, 0xff,
0x80, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0x88, 0x3f, 0xff, 0xff, 0xff, 0xf8,
0x0, 0x0, 0x3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe2, 0x1f, 0xff, 0xff, 0xff, 0xff, 0x80,
0x0, 0x0, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x0, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0,
0x0, 0x1f, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x11, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x0,
0x7, 0xff, 0xff, 0xff, 0xff, 0x2b, 0x2f, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x1,
0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xa0, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0x3f,
0xff, 0xff, 0xff, 0xff, 0xfe, 0x2, 0x7, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x0, 0xf, 0xff,
0xff, 0xff, 0xff, 0xff, 0xc4, 0x70, 0x3f, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x1, 0xff, 0xff,
0xff, 0xff, 0xff, 0xf1, 0xcf, 0xc1, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x7f, 0xff, 0xff,
0xff, 0xff, 0xfc, 0x79, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xfc, 0x0, 0xf, 0xff, 0xff, 0xff,
0xff, 0xff, 0x1f, 0x1f, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x3, 0xff, 0xff, 0xff, 0xff,
0xff, 0xc3, 0xe3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x7f, 0xff, 0x1, 0xff, 0xff,
0xf8, 0xfc, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x1f, 0xff, 0x80, 0x1f, 0xff, 0xfe,
0x3f, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x3, 0xff, 0xe1, 0xf3, 0xff, 0xff, 0x8f,
0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0xff, 0xf0, 0xfe, 0x7f, 0xff, 0xf3, 0xff,
0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x1f, 0xfc, 0x7f, 0x9f, 0xff, 0xfe, 0x7f, 0xe3,
0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x7, 0xff, 0x9f, 0xc3, 0xff, 0xff, 0xff, 0xfe, 0x7f,
0xff, 0xff, 0xff, 0xff, 0xff, 0xc0, 0xff, 0xe7, 0xc0, 0xff, 0x8f, 0xff, 0xff, 0xcf, 0xff,
0xff, 0xff, 0xff, 0xff, 0xf8, 0x1f, 0xfc, 0xf8, 0x1f, 0xf1, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0x3, 0xff, 0x30, 0x3, 0xfc, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xf0, 0xff, 0xe6, 0x7f, 0xff, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xfe, 0x1f, 0xfc, 0xc3, 0xff, 0xe7, 0x98, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xc3, 0xff, 0x9c, 0x0, 0x7d, 0xfc, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xf8, 0xff, 0xf3, 0xf8, 0xf, 0x98, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0x9f, 0xff, 0x7f, 0xf8, 0x72, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xf3, 0xff, 0xe7, 0xff, 0x80, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe,
0x7f, 0xfe, 0x7f, 0xfc, 0x9, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xcf,
0xff, 0xcf, 0xff, 0xf1, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xff,
0xf3, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x7f, 0xff, 0x3f, 0xfc,
0x7f, 0xff, 0xfe, 0x7f, 0xff, 0x80, 0x0, 0x78, 0xf, 0x80, 0xf, 0xff, 0xff, 0xff, 0x9f,
0xff, 0xfc, 0x4f, 0xff, 0xf0, 0x0, 0xf, 0x1, 0xf0, 0x0, 0xff, 0xff, 0xff, 0xe7, 0xff,
0xff, 0x1, 0xff, 0xff, 0x8f, 0xc7, 0xf8, 0xff, 0x8f, 0x9f, 0xff, 0xff, 0xf9, 0xff, 0xff,
0xf0, 0x7f, 0xff, 0xf1, 0xf8, 0xff, 0x1f, 0xf1, 0xff, 0xff, 0xff, 0xfe, 0x7f, 0xff, 0xfe,
0x7f, 0xff, 0xfe, 0x3f, 0x1f, 0xe3, 0xfe, 0x3f, 0x7f, 0xff, 0xff, 0xc7, 0xff, 0xff, 0xef,
0xff, 0xff, 0xc7, 0xe3, 0xfc, 0x7f, 0xc0, 0xf, 0xff, 0xff, 0xfe, 0x7f, 0xff, 0xfc, 0xff,
0xff, 0xf8, 0xfc, 0x7e, 0x3, 0xf8, 0x1, 0xff, 0xff, 0xff, 0xe3, 0xff, 0xff, 0x9f, 0xff,
0xff, 0x1f, 0x8f, 0x91, 0x3f, 0x0, 0x3f, 0xff, 0xff, 0xfe, 0x3f, 0xff, 0xf3, 0xff, 0xff,
0xe3, 0xf1, 0xe2, 0x33, 0xe3, 0xe7, 0xff, 0xff, 0xff, 0xf1, 0xff, 0xfe, 0x7f, 0xff, 0xfc,
0x7e, 0x3c, 0xc6, 0x3c, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x1f, 0xff, 0xe7, 0xff, 0xff, 0x8f,
0xc7, 0x18, 0xc7, 0x8f, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xff, 0xfc, 0xff, 0xff, 0xf1, 0xf8,
0xe3, 0x1c, 0xf1, 0xff, 0xff, 0xfb, 0xff, 0xff, 0x3f, 0xff, 0x9f, 0xff, 0xfe, 0x3f, 0x1c,
0x63, 0x9e, 0x3f, 0xff, 0xfe, 0x7f, 0xff, 0xe7, 0xff, 0xf3, 0xff, 0xff, 0xc7, 0xe3, 0x8c,
0x73, 0xc7, 0xff, 0xff, 0xcf, 0xff, 0xf8, 0xff, 0xfe, 0x7f, 0xff, 0xf8, 0xfc, 0x71, 0x8e,
0x78, 0xff, 0xff, 0xf9, 0xff, 0xff, 0x1b, 0xff, 0xcf, 0xff, 0xff, 0x1f, 0x8f, 0x31, 0x8f,
0x1f, 0xff, 0xff, 0x3f, 0xff, 0xf2, 0x7f, 0xf9, 0xff, 0xff, 0xe3, 0xf1, 0xe2, 0x33, 0xe3,
0xff, 0xff, 0xe7, 0xff, 0xfe, 0xf, 0xff, 0x3f, 0xff, 0xfc, 0x7e, 0x3e, 0x0, 0xfc, 0x7f,
0xff, 0xfc, 0xff, 0xff, 0xe1, 0xff, 0xe7, 0xff, 0xff, 0x8f, 0xc7, 0xf0, 0x3f, 0x8f, 0xff,
0xff, 0x8f, 0xff, 0xff, 0x3f, 0xfc, 0xff, 0xff, 0xf1, 0xf8, 0xff, 0x1f, 0xf1, 0xff, 0xff,
0xe1, 0xff, 0xff, 0xe7, 0xff, 0x3f, 0xff, 0xfe, 0x3f, 0x1f, 0xe3, 0xfe, 0x3f, 0xff, 0xfc,
0x3f, 0xff, 0xfc, 0xff, 0xe7, 0xff, 0xff, 0xc7, 0xe3, 0xfc, 0x7f, 0xc7, 0xff, 0xff, 0x83,
0xff, 0xff, 0x9f, 0xfc, 0xff, 0xff, 0xf8, 0xfc, 0x7f, 0x8f, 0xf8, 0xff, 0xff, 0xf0, 0x7f,
0xff, 0xf3, 0xff, 0x9f, 0xff, 0xff, 0x1f, 0x8f, 0xf1, 0xff, 0x1f, 0xff, 0xfc, 0xf, 0xff,
0xfe, 0x7f, 0xf3, 0xff, 0xff, 0xe3, 0xf1, 0xfe, 0x3f, 0xe3, 0xff, 0xff, 0x81, 0xff, 0xff,
0xcf, 0xfe, 0x7f, 0xff, 0xfc, 0x7e, 0x3f, 0xc7, 0xfc, 0x7f, 0xff, 0xf0, 0x1f, 0xff, 0xf9,
0xff, 0x9f, 0xff, 0xff, 0x8f, 0xc7, 0xf8, 0xff, 0x8f, 0xff, 0xfc, 0x3, 0xff, 0xff, 0x3f,
0xf3, 0xff, 0xff, 0xf1, 0xf8, 0xff, 0x1f, 0xf1, 0xff, 0xff, 0x80, 0x3f, 0xff, 0xcf, 0xfe,
0x7f, 0xff, 0xfe, 0x3f, 0x1f, 0xe3, 0xfe, 0x3f, 0x9f, 0xe0, 0x7, 0xff, 0xf9, 0xff, 0x8f,
0xff, 0xff, 0xc7, 0xe3, 0xfc, 0x7f, 0xc7, 0xc3, 0xfc, 0x0, 0x7f, 0xff, 0x3f, 0xf3, 0xff,
0xff, 0xe0, 0x30, 0x1e, 0x3, 0xe0, 0x0, 0xff, 0x80, 0xf, 0xff, 0xe7, 0xfe, 0x7f, 0xff,
0xfc, 0xe, 0x3, 0xc0, 0x7c, 0x0, 0x1f, 0xe0, 0x1, 0xff, 0xfc, 0xff, 0x8f, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x0, 0x1f, 0xff, 0x1f, 0xf3, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x1, 0xff, 0xe7, 0xfe, 0x7f, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x3f, 0xfc, 0xff, 0x8f, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x3, 0xff, 0x9f, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xfe, 0x0, 0x0, 0x7f, 0xe3, 0xfe, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xc0, 0x0, 0x7, 0xfc, 0xff, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xf0, 0x0, 0x0, 0x7f, 0x9f, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xfc, 0x0, 0x0, 0xf, 0xe3, 0xfe, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0x80, 0x0, 0x0, 0x0, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0x0, 0x0, 0x1f, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0x0, 0x3, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0x0,
0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x0, 0x0,
0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x0, 0x0,
0x1, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0,
0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x0, 0x0, 0x0, 0x0, 0xf,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7f, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3f, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7f, 0xff, 0xff, 0xff,
0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0xff, 0xff, 0xff, 0xff,
0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xff, 0xff,
0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xc0,
0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0x80, 0x0,
0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3f, 0xfc, 0x0, 0x0, 0x0,
0x0, 0x0, 0x0, 0x0,
 }  ;