#line 1 "D:/Projects/MikroC Projects/camera-click/CameraClick.c"
#line 30 "D:/Projects/MikroC Projects/camera-click/CameraClick.c"
int x;
int cnt;
char str[16];
#line 1 "d:/projects/mikroc projects/camera-click/resources.h"
sbit Ready_Pin at RE8_bit;
sbit Chip_Select at LATC2_bit;
sbit Chip_Select_Dir at TRISC2_bit;
sbit Ready_Pin_Dir at TRISE8_bit;



char TFT_DataPort at LATE;
sbit TFT_RST at LATD7_bit;
sbit TFT_BLED at LATD2_bit;
sbit TFT_RS at LATD9_bit;
sbit TFT_CS at LATD10_bit;
sbit TFT_RD at LATD5_bit;
sbit TFT_WR at LATD4_bit;
char TFT_DataPort_Direction at TRISE;
sbit TFT_RST_Direction at TRISD7_bit;
sbit TFT_BLED_Direction at TRISD2_bit;
sbit TFT_RS_Direction at TRISD9_bit;
sbit TFT_CS_Direction at TRISD10_bit;
sbit TFT_RD_Direction at TRISD5_bit;
sbit TFT_WR_Direction at TRISD4_bit;


char pfepetnica[] = {
0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0x1, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1f,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0xff,
0xff, 0xff, 0xf9, 0xff, 0xff, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0xff, 0xff,
0xff, 0xff, 0x3f, 0xff, 0xff, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xff, 0xff, 0xfc,
0xff, 0xe7, 0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0x1f,
0xf8, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3f, 0xff, 0xff, 0xf1, 0xff,
0x1f, 0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0x1f, 0xe7,
0xff, 0xff, 0xff, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x3, 0xff, 0xff, 0xff, 0xf1, 0xfc, 0xff,
0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0x1f, 0xff,
0xff, 0xff, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x3f, 0xff, 0xff, 0xff, 0xe3, 0xe3, 0xfe, 0x7f,
0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xfe, 0x3c, 0x7f, 0xf, 0xff,
0xff, 0xfc, 0x0, 0x0, 0x0, 0x3, 0xff, 0xff, 0xff, 0xff, 0xe3, 0x9f, 0x81, 0xff, 0xff,
0xff, 0x80, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x23, 0xc0, 0xff, 0xff, 0xff,
0xf8, 0x0, 0x0, 0x0, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xc4, 0x60, 0x7f, 0xff, 0xff, 0xff,
0x80, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0x88, 0x3f, 0xff, 0xff, 0xff, 0xf8,
0x0, 0x0, 0x3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe2, 0x1f, 0xff, 0xff, 0xff, 0xff, 0x80,
0x0, 0x0, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x0, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0,
0x0, 0x1f, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x11, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x0,
0x7, 0xff, 0xff, 0xff, 0xff, 0x2b, 0x2f, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x1,
0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xa0, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0x3f,
0xff, 0xff, 0xff, 0xff, 0xfe, 0x2, 0x7, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x0, 0xf, 0xff,
0xff, 0xff, 0xff, 0xff, 0xc4, 0x70, 0x3f, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x1, 0xff, 0xff,
0xff, 0xff, 0xff, 0xf1, 0xcf, 0xc1, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x7f, 0xff, 0xff,
0xff, 0xff, 0xfc, 0x79, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xfc, 0x0, 0xf, 0xff, 0xff, 0xff,
0xff, 0xff, 0x1f, 0x1f, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x3, 0xff, 0xff, 0xff, 0xff,
0xff, 0xc3, 0xe3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x7f, 0xff, 0x1, 0xff, 0xff,
0xf8, 0xfc, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x1f, 0xff, 0x80, 0x1f, 0xff, 0xfe,
0x3f, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x3, 0xff, 0xe1, 0xf3, 0xff, 0xff, 0x8f,
0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0xff, 0xf0, 0xfe, 0x7f, 0xff, 0xf3, 0xff,
0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x1f, 0xfc, 0x7f, 0x9f, 0xff, 0xfe, 0x7f, 0xe3,
0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x7, 0xff, 0x9f, 0xc3, 0xff, 0xff, 0xff, 0xfe, 0x7f,
0xff, 0xff, 0xff, 0xff, 0xff, 0xc0, 0xff, 0xe7, 0xc0, 0xff, 0x8f, 0xff, 0xff, 0xcf, 0xff,
0xff, 0xff, 0xff, 0xff, 0xf8, 0x1f, 0xfc, 0xf8, 0x1f, 0xf1, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0x3, 0xff, 0x30, 0x3, 0xfc, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xf0, 0xff, 0xe6, 0x7f, 0xff, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xfe, 0x1f, 0xfc, 0xc3, 0xff, 0xe7, 0x98, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xc3, 0xff, 0x9c, 0x0, 0x7d, 0xfc, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xf8, 0xff, 0xf3, 0xf8, 0xf, 0x98, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0x9f, 0xff, 0x7f, 0xf8, 0x72, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xf3, 0xff, 0xe7, 0xff, 0x80, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe,
0x7f, 0xfe, 0x7f, 0xfc, 0x9, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xcf,
0xff, 0xcf, 0xff, 0xf1, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xff,
0xf3, 0xff, 0xff, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x7f, 0xff, 0x3f, 0xfc,
0x7f, 0xff, 0xfe, 0x7f, 0xff, 0x80, 0x0, 0x78, 0xf, 0x80, 0xf, 0xff, 0xff, 0xff, 0x9f,
0xff, 0xfc, 0x4f, 0xff, 0xf0, 0x0, 0xf, 0x1, 0xf0, 0x0, 0xff, 0xff, 0xff, 0xe7, 0xff,
0xff, 0x1, 0xff, 0xff, 0x8f, 0xc7, 0xf8, 0xff, 0x8f, 0x9f, 0xff, 0xff, 0xf9, 0xff, 0xff,
0xf0, 0x7f, 0xff, 0xf1, 0xf8, 0xff, 0x1f, 0xf1, 0xff, 0xff, 0xff, 0xfe, 0x7f, 0xff, 0xfe,
0x7f, 0xff, 0xfe, 0x3f, 0x1f, 0xe3, 0xfe, 0x3f, 0x7f, 0xff, 0xff, 0xc7, 0xff, 0xff, 0xef,
0xff, 0xff, 0xc7, 0xe3, 0xfc, 0x7f, 0xc0, 0xf, 0xff, 0xff, 0xfe, 0x7f, 0xff, 0xfc, 0xff,
0xff, 0xf8, 0xfc, 0x7e, 0x3, 0xf8, 0x1, 0xff, 0xff, 0xff, 0xe3, 0xff, 0xff, 0x9f, 0xff,
0xff, 0x1f, 0x8f, 0x91, 0x3f, 0x0, 0x3f, 0xff, 0xff, 0xfe, 0x3f, 0xff, 0xf3, 0xff, 0xff,
0xe3, 0xf1, 0xe2, 0x33, 0xe3, 0xe7, 0xff, 0xff, 0xff, 0xf1, 0xff, 0xfe, 0x7f, 0xff, 0xfc,
0x7e, 0x3c, 0xc6, 0x3c, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x1f, 0xff, 0xe7, 0xff, 0xff, 0x8f,
0xc7, 0x18, 0xc7, 0x8f, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xff, 0xfc, 0xff, 0xff, 0xf1, 0xf8,
0xe3, 0x1c, 0xf1, 0xff, 0xff, 0xfb, 0xff, 0xff, 0x3f, 0xff, 0x9f, 0xff, 0xfe, 0x3f, 0x1c,
0x63, 0x9e, 0x3f, 0xff, 0xfe, 0x7f, 0xff, 0xe7, 0xff, 0xf3, 0xff, 0xff, 0xc7, 0xe3, 0x8c,
0x73, 0xc7, 0xff, 0xff, 0xcf, 0xff, 0xf8, 0xff, 0xfe, 0x7f, 0xff, 0xf8, 0xfc, 0x71, 0x8e,
0x78, 0xff, 0xff, 0xf9, 0xff, 0xff, 0x1b, 0xff, 0xcf, 0xff, 0xff, 0x1f, 0x8f, 0x31, 0x8f,
0x1f, 0xff, 0xff, 0x3f, 0xff, 0xf2, 0x7f, 0xf9, 0xff, 0xff, 0xe3, 0xf1, 0xe2, 0x33, 0xe3,
0xff, 0xff, 0xe7, 0xff, 0xfe, 0xf, 0xff, 0x3f, 0xff, 0xfc, 0x7e, 0x3e, 0x0, 0xfc, 0x7f,
0xff, 0xfc, 0xff, 0xff, 0xe1, 0xff, 0xe7, 0xff, 0xff, 0x8f, 0xc7, 0xf0, 0x3f, 0x8f, 0xff,
0xff, 0x8f, 0xff, 0xff, 0x3f, 0xfc, 0xff, 0xff, 0xf1, 0xf8, 0xff, 0x1f, 0xf1, 0xff, 0xff,
0xe1, 0xff, 0xff, 0xe7, 0xff, 0x3f, 0xff, 0xfe, 0x3f, 0x1f, 0xe3, 0xfe, 0x3f, 0xff, 0xfc,
0x3f, 0xff, 0xfc, 0xff, 0xe7, 0xff, 0xff, 0xc7, 0xe3, 0xfc, 0x7f, 0xc7, 0xff, 0xff, 0x83,
0xff, 0xff, 0x9f, 0xfc, 0xff, 0xff, 0xf8, 0xfc, 0x7f, 0x8f, 0xf8, 0xff, 0xff, 0xf0, 0x7f,
0xff, 0xf3, 0xff, 0x9f, 0xff, 0xff, 0x1f, 0x8f, 0xf1, 0xff, 0x1f, 0xff, 0xfc, 0xf, 0xff,
0xfe, 0x7f, 0xf3, 0xff, 0xff, 0xe3, 0xf1, 0xfe, 0x3f, 0xe3, 0xff, 0xff, 0x81, 0xff, 0xff,
0xcf, 0xfe, 0x7f, 0xff, 0xfc, 0x7e, 0x3f, 0xc7, 0xfc, 0x7f, 0xff, 0xf0, 0x1f, 0xff, 0xf9,
0xff, 0x9f, 0xff, 0xff, 0x8f, 0xc7, 0xf8, 0xff, 0x8f, 0xff, 0xfc, 0x3, 0xff, 0xff, 0x3f,
0xf3, 0xff, 0xff, 0xf1, 0xf8, 0xff, 0x1f, 0xf1, 0xff, 0xff, 0x80, 0x3f, 0xff, 0xcf, 0xfe,
0x7f, 0xff, 0xfe, 0x3f, 0x1f, 0xe3, 0xfe, 0x3f, 0x9f, 0xe0, 0x7, 0xff, 0xf9, 0xff, 0x8f,
0xff, 0xff, 0xc7, 0xe3, 0xfc, 0x7f, 0xc7, 0xc3, 0xfc, 0x0, 0x7f, 0xff, 0x3f, 0xf3, 0xff,
0xff, 0xe0, 0x30, 0x1e, 0x3, 0xe0, 0x0, 0xff, 0x80, 0xf, 0xff, 0xe7, 0xfe, 0x7f, 0xff,
0xfc, 0xe, 0x3, 0xc0, 0x7c, 0x0, 0x1f, 0xe0, 0x1, 0xff, 0xfc, 0xff, 0x8f, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x0, 0x1f, 0xff, 0x1f, 0xf3, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x1, 0xff, 0xe7, 0xfe, 0x7f, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x3f, 0xfc, 0xff, 0x8f, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x3, 0xff, 0x9f, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xfe, 0x0, 0x0, 0x7f, 0xe3, 0xfe, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xc0, 0x0, 0x7, 0xfc, 0xff, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xff, 0xf0, 0x0, 0x0, 0x7f, 0x9f, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0xfc, 0x0, 0x0, 0xf, 0xe3, 0xfe, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
0xff, 0x80, 0x0, 0x0, 0x0, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0x0, 0x0, 0x1f, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0x0, 0x3, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0,
0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0x0,
0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x0, 0x0,
0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x0, 0x0,
0x1, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0,
0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe0, 0x0, 0x0, 0x0, 0x0, 0xf,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7f, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3f, 0xff, 0xff,
0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xff,
0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7f, 0xff, 0xff, 0xff,
0xff, 0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0xff, 0xff, 0xff, 0xff,
0xff, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xff, 0xff,
0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xc0,
0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0x80, 0x0,
0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3f, 0xfc, 0x0, 0x0, 0x0,
0x0, 0x0, 0x0, 0x0,
 } ;
#line 1 "d:/projects/mikroc projects/camera-click/cameradriver.c"
#line 12 "d:/projects/mikroc projects/camera-click/cameradriver.c"
char *Get_Camera_Data(unsigned long offset, unsigned long count, unsigned long *num);


const unsigned char __CMD_WRITE_REG = 2;
const unsigned char __CMD_READ_REG = 3;
const unsigned char __CMD_GET_FRAME = 4;
const unsigned char __CMD_GET_FRAME_BUFFERED = 5;
const unsigned char __CMD_SET_ROW_NUM = 6;
const unsigned char __CMD_SET_ROW_SIZE = 7;


unsigned char bmpHeader[10] = {0x00, 0x10, ( 144 /2), ( 144 /2)>>8,  176 , ( 176 )>>8, 0xFF, 0xFF, 0xFF, 0xFF};
unsigned char frmBuff[ 176 * 144 ];

unsigned long bPos;


void SendCommand(unsigned char cmd) {
 while(Ready_Pin == 0)
 ;
 SPI2_Write(cmd);
}


void ReadBytes(unsigned char *ptr, unsigned long num) {
 while(num){
 num--;
 while(Ready_Pin == 0)
 ;
 *ptr = SPI2_Read(0);
 *ptr++;
 }
}


void SendBytes(unsigned char *ptr, unsigned long num) {
 while(num){
 num--;
 while(Ready_Pin == 0)
 ;
 SPI2_Write(*ptr);
 *ptr++;
 }
}


unsigned char ReadReg(unsigned char regNum, unsigned char *regVal) {
 unsigned int status;

 SendCommand(__CMD_READ_REG);
 SendBytes(&regNum, 1);
 ReadBytes(&status, 2);
 *regVal = status & 0xFF;
 return status >> 8;
}


unsigned char WriteReg(unsigned char regNum, unsigned char regVal){
 unsigned int rv;
 unsigned char status;
 SendCommand(__CMD_WRITE_REG);
 rv = regNum | (regVal << 8);
 SendBytes(&rv, 2);
 ReadBytes(&status, 1);
 return status;
}

int i;


char* Get_Camera_Data(unsigned long offset, unsigned long count, unsigned long *num) {
 unsigned char* resPtr;
 *num = count;
 Chip_Select = 0;
 if(count == 10){
 *num = 10;
 bPos = 0;
 SendCommand(__CMD_GET_FRAME_BUFFERED);

 ReadBytes(frmBuff,  176 * 144 );
 ReadBytes(frmBuff,  176 * 144 );


 return &bmpHeader[0];
 }
 Chip_Select = 1;
 resPtr = &frmBuff[bPos];
 bPos = bPos +  176 *2;
 return resPtr;
}
#line 37 "D:/Projects/MikroC Projects/camera-click/CameraClick.c"
void InitMCU()
{
 AD1PCFG = 0xFFFF;
 JTAGEN_bit = 0;
 TFT_Set_Default_Mode();
 TFT_Init(320, 240);

 TFT_Fill_Screen( CL_BLACK );

 delay_ms(10);

 SPI2_Init_Advanced(_SPI_MASTER,_SPI_8_BIT, 6, _SPI_SS_DISABLE,_SPI_DATA_SAMPLE_MIDDLE,_SPI_CLK_IDLE_LOW,_SPI_ACTIVE_2_IDLE);

 Chip_Select_Dir = 0;
 Ready_Pin_Dir = 1;
 Chip_Select = 1;

 delay_ms(1000);
}

void DrawFrame() {
 TFT_Set_Ext_Buffer(Get_Camera_Data);
 TFT_Fill_Screen(CL_WHITE);
 TFT_Set_Pen(CL_RED, 1);
 TFT_Line(20, 220, 300, 220);
 TFT_Line(20, 46, 300, 46);
 TFT_Set_Font(TFT_defaultFont , CL_GREEN, FO_HORIZONTAL);
 TFT_Write_Text("Camera  Click  Board  PIC32 Demo", 42, 14);
 TFT_Set_Font(TFT_defaultFont , CL_BLACK, FO_HORIZONTAL);
 TFT_Write_Text("EasyPIC Fusion v7", 19, 223);
 TFT_Set_Font(TFT_defaultFont , CL_BLACK, FO_HORIZONTAL);
 TFT_Write_Text("ele.petnica.rs", 200, 223);

 TFT_image(0, 0, pfepetnica, 1);

 delay_ms(100);
}

void main() {
 InitMCU();

 DrawFrame();

 while(1==1){

 TFT_Ext_Image(72, 61, 0, 1);
 }
}
